:root {
  --color-accent: #b2cefc;
  --color-black: #080101;
  --color-white: #faf9fe;
  --color-red: #ff7878;
  --color-grey: #bbbbbb;
}

* {
  box-sizing: border-box;
}

body {
  text-align: center;
  margin: 0;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1200 800'%3E%3Cdefs%3E%3CradialGradient id='a' cx='0' cy='800' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23ddffc6'/%3E%3Cstop offset='1' stop-color='%23ddffc6' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='b' cx='1200' cy='800' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23ffc0f3'/%3E%3Cstop offset='1' stop-color='%23ffc0f3' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='c' cx='600' cy='0' r='600' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23eff6ff'/%3E%3Cstop offset='1' stop-color='%23eff6ff' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='d' cx='600' cy='800' r='600' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23FFAB97'/%3E%3Cstop offset='1' stop-color='%23FFAB97' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='e' cx='0' cy='0' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23F5FFFF'/%3E%3Cstop offset='1' stop-color='%23F5FFFF' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='f' cx='1200' cy='0' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23EDE9FF'/%3E%3Cstop offset='1' stop-color='%23EDE9FF' stop-opacity='0'/%3E%3C/radialGradient%3E%3C/defs%3E%3Crect fill='url(%23a)' width='1200' height='800'/%3E%3Crect fill='url(%23b)' width='1200' height='800'/%3E%3Crect fill='url(%23c)' width='1200' height='800'/%3E%3Crect fill='url(%23d)' width='1200' height='800'/%3E%3Crect fill='url(%23e)' width='1200' height='800'/%3E%3Crect fill='url(%23f)' width='1200' height='800'/%3E%3C/svg%3E");
  background-attachment: fixed;
  background-size: cover;
}

button {
  border: none;
  outline: none;
  cursor: pointer;
}

.game {
  display: flex;
  flex-direction: column;
  width: 800px;
  height: 500px;
  background: center/cover url(../images/background.png);
  margin: auto;
  border-radius: 20px;
  overflow: hidden;
}

.game__header {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.game__button {
  width: 60px;
  height: 60px;
  background-color: var(--color-accent);
  border: 4px solid var(--color-black);
  font-size: 24px;
  transition: transform 300ms ease-in;
}

.game__button:hover {
  transform: scale(1.1);
}

.game__timer {
  width: 100px;
  background-color: var(--color-white);
  text-align: center;
  border: 5px solid var(--color-black);
  border-radius: 20px;
  font-size: 32px;
  margin-top: 8px;
  visibility: hidden;
  user-select: none;
  cursor: auto;
}

.game__score {
  width: 50px;
  height: 50px;
  font-size: 38px;
  margin-top: 8px;
  background-color: var(--color-white);
  border: 3px solid var(--color-black);
  border-radius: 50%;
  text-align: center;
  line-height: 1;
  visibility: hidden;
  user-select: none;
  cursor: auto;
}

.game__field {
  position: relative;
  width: 100%;
  height: 100%;
  margin-top: 40px;
  /* background-color: RGB(187, 187, 187, 0.75); */
  background-color: RGB(242, 188, 108, 0.75);
}

.pop-up {
  background-color: RGB(178, 206, 252, 0.75);
  width: 400px;
  height: 140px;
  padding: 20px;
  text-align: center;
  margin: auto;
  transform: translateY(-150%);
  border-radius: 20px;
}

.pop-up--hide {
  display: none;
}

.pop-up__refresh {
  width: 60px;
  height: 60px;
  font-size: 24px;
  background-color: var(--color-red);
  border: 2px solid var(--color-black);
  border-radius: 50%;
}

.pop-up__message {
  display: block;
  font-size: 38px;
}

.guide {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--color-accent);
  width: 340px;
  height: 200px;
  font-size: 24px;
  border-radius: 20px;
  margin: auto;
  transform: translateY(-140%);
}

.guide__text {
  display: flex;
  align-items: center;
  margin: 0;
  font-weight: bold;
}

.guide__image {
  width: 4rem;
  height: 4rem;
}

.guide--hide {
  display: none;
}

.water,
.branch {
  transition: all 100ms ease-in;
}

.water:hover,
.branch:hover {
  transform: scale(1.1);
}
